import { ProjectRepository } from '@app/domain/projects/project.repository';
import { Project } from '@app/domain/projects/project.model';
import { Observable } from 'rxjs';

export class GetProjectUseCase {
  constructor(private readonly repo: ProjectRepository) {}

  execute(projectId: string): Observable<Project> {
    return this.repo.get(projectId);
  }
}
